@import url("https://fonts.googleapis.com/css?family=Nunito&display=swap");

:root {
    --color-bkg-body: #fafafa;
    --color-bkg-nav: #171717;
    --color-bkg-hero: #0b0b0b;
    --color-txt-title: #ff8600;
    --color-txt-body: rgb(118, 113, 114);
    --color-txt-dark: #2e2e2e;
    --color-txt-white: #ffffff;
    --color-txt-light: #ebebeb;
    --color-txt-muted: #d3cfcf;
    --color-bkg-buttom: #ff8600;
    --success: #00663d;
    --info: #3aadd9;
    --warning: #f5b945;
    --danger: #cf0e15;
    --font-size-p: 1em;
    --font-size-h5: 0.9em;
}

/**
** RESET
*/
*,
*::after,
*::before {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

:target {
    scroll-margin-top: 2.5em;
}

body {
    background-color: var(--color-bkg-body);
    position: relative;
    font-family: "Roboto", sans-serif;
}

a {
    text-decoration: none;
}

li {
    list-style: none;
}

input {
    outline: 0;
}

.placeh::placeholder {
    color: red;
    transition: all 0.3s ease;
}

.d-none {
    display: none !important;
}

.p-message {
    padding: 20px;
    font-size: 1.3em;
    text-align: center;
}

@media only screen and (min-width: 320px) {
    h1,
    h2,
    h3,
    h4,
    h5 {
        font-family: "Poppins", sans-serif;
    }

    h1 {
        font-size: 2em;
    }

    h2 {
        font-size: 1.5em;
    }

    h3 {
        font-size: 0.96em;
    }

    h5,
    input {
        font-size: 0.9em;
    }

    p,
    a,
    h4,
    span,
    label,
    button {
        font-family: "Roboto", sans-serif;
        font-size: 0.92em;
    }

    button {
        cursor: pointer;
    }

    html {
        scroll-behavior: smooth;
    }

    main {
        padding-top: 75px;
    }

    .disclaimer {
        display: none !important;
    }

    .row {
        width: 100%;
    }

    .col {
        width: 90%;
        padding: 10px;
        margin: 0px auto;
        max-width: 1920px;
    }

    .cover {
        display: none;
        width: 100%;
        height: 100%;
        background: #000000a6;
        position: absolute;
        z-index: 2;
        top: 0;
        left: 0;
    }

    /**
    ** STYLE HEADER
    */
    .cabecalho {
        position: fixed;
        top: 0;
        left: 0;
        z-index: 2;
        width: 100%;
        height: 75px;
        padding: 0px 5%;
        display: flex;
        align-items: center;
        justify-content: space-between;
        background-color: var(--color-bkg-hero);
    }

    .logo {
        width: 60px;
    }

    .search {
        width: calc(100% - 60px);
    }

    .search input,
    .search button {
        height: 40px;
        padding: 10px;
        background-color: var(--color-txt-white);
        border: 1px solid var(--color-bkg-buttom);
    }

    .search form {
        display: flex;
    }

    .search input {
        width: 90%;
        margin-left: 15px;
        border-radius: 10px 0 0 10px;
        border-right-color: transparent;
    }

    .search button {
        display: flex;
        width: 50px;
        font-size: 1.3em;
        margin-left: -7px;
        color: var(--color-bkg-buttom);
        border-left-color: transparent;
        border-radius: 0 10px 10px 0;
        justify-content: flex-end;
        align-items: center;
    }

    .section-menu {
        position: absolute;
        width: 100%;
        height: 0;
        top: 75px;
        left: 0;
        border-top: 2px solid;
        background: var(--color-bkg-buttom);
        border-top-color: var(--color-bkg-buttom);
        overflow: hidden;
        transition: all 0.5s ease;
    }

    .section-menu ul {
        display: flex;
        padding: 20px;
        align-items: center;
        justify-content: space-between;
    }

    .section-menu a {
        color: var(--color-txt-white);
        display: flex;
        align-items: center;
        justify-content: space-around;
    }

    .section-menu span {
        font-size: 1.5em;
        margin-right: 5px;
        margin-top: 1px;
    }

    .cabecalho .btn-menu-m {
        display: none;
    }

    /** STYLE FOOTER */
    footer {
        position: fixed;
        z-index: 4;
        bottom: 0;
        height: 60px;
    }

    .btn-menu-m {
        border-radius: 50%;
        width: 50px;
        height: 50px;
        margin: 5px auto;
    }

    .menu-icon {
        background: var(--color-bkg-buttom);
        width: 30px;
        height: 2px;
        display: block;
        margin: 0 auto;
        position: relative;
        border-radius: 1px;
        transition: all 0.5s ease;
    }

    .menu-icon::before,
    .menu-icon::after {
        content: "";
        display: block;
        width: 100%;
        height: 100%;
        position: absolute;
        border-radius: 1px;
        background: var(--color-bkg-buttom);
        transition: all 0.5s ease;
    }

    .menu-check-m {
        display: none;
    }

    .menu-icon::before {
        top: -10px;
    }

    .menu-icon::after {
        bottom: -10px;
    }

    .i-rotate {
        transform: rotate(45deg);
    }

    .i-rotate::after {
        transform: rotate(90deg);
        bottom: 0;
    }

    .i-rotate::before {
        transform: rotate(90deg);
        top: 0;
    }

    .bar-items {
        width: 100%;
        display: flex;
        justify-content: space-around;
    }

    .bar-items li {
        height: 60px;
    }

    .bar-items li button {
        font-weight: 500;
        background: transparent;
        border: none;
    }

    .bar-items li button .icon {
        position: relative;
        display: flex;
        justify-content: center;
        align-items: center;
        height: 60px;
        font-size: 2.2em;
        text-align: center;
        color: var(--color-txt-title);
    }

    .link-cart .notification::after {
        content: "";
        background: var(--color-bkg-buttom);
        width: 10px;
        height: 10px;
        position: absolute;
        border-radius: 50%;
        top: 22px;
        left: 20px;
        transition: all 0.5s ease-in-out;
    }

    .bag-header {
        display: none;
    }

    .bag-anymation {
        animation: any-bag 0.2s ease-in-out infinite alternate;
    }

    @keyframes any-bag {
        from {
            transform: rotate(10deg);
        }

        to {
            transform: rotate(-10deg);
        }
    }

    .sup-burger {
        color: var(--color-txt-body);
        font-size: 0.89em;
        font-weight: 500;
    }

    .company-closed {
        position: fixed;
        top: 90px;
        left: 9px;
        background: var(--danger);
        color: #fff;
        z-index: 1;
        padding: 10px;
        border-radius: 10px 0 10px 0;
        display: flex;
        align-items: center;
        box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.2);
    }

    .company-closed ion-icon {
        font-size: 1.4em;
        margin-right: 2px;
    }

    .p-promo,
    .m-promo {
        height: 26px;
        width: 106px;
        color: var(--color-txt-white);
        background: var(--danger);
        font-weight: 600;
        text-align: center;
        padding: 4px;
        border-radius: 5px 0 8px 0;
        position: absolute;
        top: 0px;
        left: 0px;
    }

    .m-promo {
        z-index: 1;
        padding: 3px;
        margin: -25px 0;
        border-radius: 0 0 8px 0;
    }

    .box-load {
        width: 100%;
        display: flex;
        align-items: center;
        flex-direction: column;
        margin-bottom: 40px;
        margin-top: 20px;
    }

    .load-prods {
        padding: 10px;
        width: 200px;
        background: var(--color-bkg-buttom);
        border: none;
        color: var(--color-txt-white);
        border-radius: 4px;
        cursor: pointer;
    }

    .loader,
    .loader-g {
        animation: is-rotating 1s infinite;
        border: 6px solid var(--color-txt-muted);
        border-top-color: var(--color-bkg-buttom);
        border-radius: 50%;
        height: 40px;
        width: 40px;
        display: none;
    }

    .loader-g {
        border: 6px solid var(--color-txt-muted);
        border-top-color: var(--color-bkg-buttom);
        height: 70px;
        width: 70px;
        margin: 220px auto;
    }

    .spinner {
        animation: is-rotating 1s infinite;
        align-items: center;
        justify-content: center;
        border: 0.14em solid #fff;
        border-radius: 50%;
        border-top-color: var(--color-bkg-buttom);
        width: 16px;
        height: 16px;
    }

    @keyframes is-rotating {
        to {
            transform: rotate(1turn);
        }
    }

    /** STYLE CART  */

    .brash {
        width: 100%;
        background-color: var(--color-bkg-nav);
        font-weight: 400;
    }

    .info-location {
        display: flex;
        align-items: center;
    }

    .info-location > img {
        width: 90px;
        margin-right: 15px;
    }

    .info-location > p {
        font-weight: 600;
    }

    /** STYLE CART */
    .cart {
        position: fixed;
        background-color: #fff;
        width: 100%;
        height: calc(100vh - 60px);
        bottom: -100%;
        right: 0;
        overflow-y: auto;
        overflow-x: hidden;
        transition: all 0.5s ease;
        z-index: 3;
    }

    .carrinho-footer {
        position: relative;
        height: calc(100vh - 60px);
    }

    .btn-hide-bag,
    .btn-hide-finish {
        position: absolute;
        height: 50px;
        width: 100%;
        z-index: 2;
        top: 0;
        left: 0;
        display: flex;
        align-items: center;
        padding: 4px 30px 0 30px;
        border-bottom: 1px solid #88888829;
    }

    .icon-down,
    .icon-down-f {
        font-size: 1.5em;
        width: 50px;
        color: var(--color-txt-title);
        font-weight: 500;
        cursor: pointer;
    }

    .name-bag,
    .name-finish {
        text-align: center;
        width: 90%;
    }

    .bag-info {
        position: relative;
        max-height: 175px;
        min-height: 175px;
        padding-top: 80px;
    }

    .data-bag {
        padding: 14px 15px;
        background-color: #fff;
        width: 90%;
        margin: auto;
        border-radius: 5px;
        box-shadow: 00px 00px 3px rgba(0, 0, 0, 0.3);
    }

    .data-bag-filds {
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    .data-customer {
        display: flex;
        flex-direction: column;
    }

    .data-customer p {
        font-weight: bold;
        white-space: nowrap;
    }

    .data-customer p:first-child {
        padding-bottom: 8px;
    }

    .data-customer p span {
        color: var(--color-txt-title);
        font-weight: 500;
        margin-left: 2px;
    }

    .btn-edit-data {
        font-size: 1.5em;
        width: 45px;
        height: 45px;
        padding: 10px;
        border-radius: 8px;
        border: none;
        background-color: var(--color-txt-title);
        display: flex;
        justify-content: center;
        align-items: center;
        cursor: pointer;
    }

    .product-bag {
        padding: 0px 16px;
        margin-top: 10px;
    }

    #empty-cart {
        cursor: pointer;
    }

    .product-bag-header {
        display: flex;
        justify-content: space-between;
        align-items: center;
        font-weight: bolder;
    }

    .product-bag-header label {
        color: var(--color-txt-title);
        text-decoration: underline;
    }

    .items-bag-products {
        padding: 15px 0 50px;
    }

    .c-empty {
        width: 100%;
        height: 40vh;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        font-size: 1.2em;
        padding: 0 48px;
        text-align: center;
        color: var(--color-txt-body);
    }

    .c-empty p:first-child {
        font-size: 2.3em;
        padding-bottom: 4px;
    }

    .c-empty p:last-child {
        line-height: 1.2em;
        font-weight: 500;
    }

    .one-product {
        display: flex;
        margin: 14px auto;
        box-shadow: 0px 1px 3px rgb(0 0 0 / 20%);
        padding: 10px;
        border-radius: 5px;
        max-width: 400px;
        align-items: center;
        justify-content: space-between;
    }

    .img-produto-bag {
        width: 60px;
        height: 60px;
    }

    .bag-desc-group {
        display: flex;
        width: 90%;
        margin-left: 10px;
        flex-flow: column nowrap;
    }

    .desc-product-bag {
        width: 100%;
        display: flex;
        margin-bottom: 10px;
        flex-direction: column;
    }

    .desc-product-bag p {
        font-size: 0.85rem;
        line-height: 1.4;
        display: -webkit-box;
        -webkit-line-clamp: 1;
        -webkit-box-orient: vertical;
        overflow: hidden;
        text-overflow: ellipsis;
    }

    .desc-product-bag small {
        padding-top: 4px;
        font-size: 0.85em;
        font-family: monospace;
    }

    .action-product-bag {
        width: 100%;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    .action-product {
        display: flex;
        width: 90px;
        justify-content: space-around;
        align-items: center;
        border: 0.01em solid var(--color-txt-title);
        border-radius: 5px;
        padding: 7px 0px;
    }

    .action-product button {
        background-color: #fff;
        border: none;
        color: var(--color-txt-title);
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .action-product span {
        font-size: 0.75em;
        font-weight: bold;
    }

    .btn-up-product {
        padding: 7px 2px;
        background-color: var(--color-txt-title);
        border: none;
        width: calc(100% - 130px);
        border-radius: 5px;
        display: flex;
        justify-content: center;
        font-size: var(--font-size-h5);
        font-weight: bold;
    }

    .btn-trash {
        width: 30px;
        font-size: 1.25em;
        color: var(--color-txt-title);
        background-color: #fff;
        border: none;
        display: flex;
        justify-content: center;
    }

    .bag-finish {
        display: flex;
        height: 50px;
        width: 100%;
        padding: 0 20px;
        position: fixed;
        justify-content: space-between;
        align-items: center;
        background-color: var(--warning);
        font-weight: 600;
        bottom: 0;
        cursor: pointer;
        transition: all 0.5s ease-in-out;
    }

    .bag-finish span:first-child {
        width: 65%;
    }

    .bag-finish span:nth-child(2) {
        width: 30%;
    }

    .bag-finish span:nth-child(3) {
        font-size: 1.1em;
    }

    .dados-carrinho label,
    .dados-carrinho-campos input {
        width: 100%;
        margin: 8px auto;
        padding: 10px;
        border-radius: 50px;
        border: none;
    }

    .dados-carrinho-campos input {
        -webkit-box-shadow: 00px 00px 2px rgba(0, 0, 0, 0.5);
        box-shadow: 00px 00px 2px rgba(0, 0, 0, 0.5);
    }

    .msg-produto {
        position: fixed;
        top: 85px;
        right: 10px;
        height: 70px;
        align-items: center;
        border-radius: 10px;
        box-shadow: 00px 2px 3px rgba(0, 0, 0, 0.3);
        background-color: #fff;
        padding: 10px;
        z-index: 3;
    }

    .msg-produto img {
        width: 50px;
    }

    .msg-produto p {
        color: #fff;
        font-weight: 700;
    }

    .menu-categoria-produtos {
        width: 90%;
        overflow-x: auto;
        padding: 10px 5px;
        margin: auto;
        border-radius: 5px;
    }

    .lista-categoria-produtos {
        list-style: none;
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        border-radius: 5px;
    }

    .li-categoria-produtos {
        margin-right: 10px;
        border-radius: 5px;
        -webkit-box-shadow: 00px 00px 2px rgba(0, 0, 0, 0.3);
        box-shadow: 00px 00px 2px rgba(0, 0, 0, 0.3);
        background: url(../imagens/bk_menu.png);
        background-size: 80%;
        background-attachment: fixed;
        background-position: center;
        background-color: #171717;
    }

    .link-categoria-produtos {
        text-decoration: none;
        color: #fff;
        font-weight: 700;
        font-size: 10pt;
        padding: 10px;
    }

    .link-categoria-produtos {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        justify-content: center;
        width: 150px;
    }

    .img-categoria-produtos {
        width: 30px;
        margin-right: 10px;
    }

    .produto-footer {
        width: 90%;
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        margin: 10px auto;
        -webkit-box-shadow: 00px 1px 3px rgba(0, 0, 0, 0.2);
        box-shadow: 00px 1px 3px rgba(0, 0, 0, 0.2);
        padding: 10px;
        border-radius: 5px;
        max-width: 400px;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
    }

    .img-produto-footer {
        width: 60px;
        height: 60px;
    }

    .quantidade-produto-footer {
        -webkit-box-shadow: 00px 00px 3px rgba(0, 0, 0, 0.2);
        box-shadow: 00px 00px 3px rgba(0, 0, 0, 0.2);
        border: none;
        border-radius: 50px;
    }

    .descricao-produto-footer {
        margin-left: 10px;
        width: 40%;
    }

    .form-produto-footer {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -ms-flex-direction: column;
        flex-direction: column;
        -ms-flex-line-pack: center;
        align-content: center;
    }

    .valor-produto-carrinho {
        text-align: right;
        color: red;
        font-weight: 700;
        -webkit-box-flex: 1;
        -ms-flex: auto;
        flex: auto;
        margin-bottom: 24px;
    }

    .div-descricao-produto-footer h1 {
        margin-bottom: 5px;
    }

    .div-descricao-produto-footer h1,
    .div-descricao-produto-footer p,
    .div-quantidade label {
        font-size: 9pt;
        font-weight: 700;
        overflow: hidden;
        -o-text-overflow: ellipsis;
        text-overflow: ellipsis;
        white-space: nowrap;
    }

    .div-quantidade {
        margin-top: 5px;
    }

    .div-quantidade input {
        border-radius: 5px;
        width: 40px;
        padding: 5px;
        margin-left: 10px;
        text-align: center;
        background-color: #fff;
    }

    /** STYLE CADASTRO CLIENTE */
    #checkbox-cadastro,
    #checkbox-finalizar {
        display: none;
    }

    #checkbox-finalizar:checked ~ .formas-pagamento {
        display: flex;
    }

    .modal-box {
        position: fixed;
        padding: 0 20px;
        width: 100%;
        height: calc(100vh - 60px);
        top: 0;
        left: 0;
        background-color: rgba(0, 0, 0, 0.6);
        align-items: center;
        z-index: 5;
        display: none;
        overflow: auto;
        overflow: hidden;
    }

    .modal-content {
        width: 100%;
        /* height: 74vh; */
        background-color: #fff;
        padding: 8px 20px;
        overflow: auto;
        max-height: 95%;
        max-width: 700px;
        border-radius: 10px;
        display: flex;
        margin: 5vh auto;
        flex-direction: column;
    }

    .modal-content h3,
    .modal-content h4 {
        width: 100%;
        color: var(--color-txt-title);
        font-weight: bold;
        position: relative;
        text-align: left;
    }

    .modal-content h4 {
        font-weight: normal;
        margin: 10px 0 -10px 0;
    }

    .box-product-datails {
        position: relative;
    }

    /** MODAL PRODUCT */
    #modal-product .modal-content {
        overflow: hidden;
        padding: 0;
    }

    #modal-product .group-cl {
        padding: 5px 20px;
    }

    .row-product-datails {
        background-color: rgb(255, 255, 255);
        height: calc(-13.5rem + 100vh);
        max-height: 31.5rem;
        overflow: hidden overlay;
        scrollbar-width: thin;
        scrollbar-color: #cecece #fff;
    }

    .header-details {
        position: sticky;
        top: 0rem;
        height: 14.5rem;
        background-color: rgb(255, 255, 255);
        background-position: center center;
        background-size: contain;
        background-repeat: no-repeat;
    }

    .row-box-details {
        height: fit-content;
        position: relative;
        z-index: 5;
        top: 6px;
    }

    .border-row {
        border-radius: 15px 15px 0px 0px;
        box-shadow: rgba(35, 31, 32, 0.14) 0px -4px 12px;
        height: 24px;
        background-color: rgb(255, 255, 255);
        margin-bottom: -10px;
    }

    .box-details {
        padding: 0px 1.2rem;
        position: relative;
        background-color: rgb(255, 255, 255);
    }

    .box-desc p {
        font-size: 0.875rem;
        color: rgb(118, 113, 114);
        margin: 0.5rem 0px;
    }

    .box-price {
        display: flex;
        -webkit-box-align: center;
        align-items: center;
    }

    .box-price span {
        color: rgb(35, 31, 32);
        font-weight: 600;
    }

    .box-note textarea {
        width: 100%;
        border: none;
        resize: none;
        margin-top: 15px;
        margin-bottom: -10px;
        transition: all 0.2s linear;
        border-radius: 3px 3px 0 0;
        padding: 10px 10px 5px 10px;
        background-color: #f7f7f7;
        color: rgb(118, 113, 114);
        box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.1);
        border-bottom: 1px solid var(--color-txt-title);
    }

    .box-note textarea:focus {
        outline: none;
        box-shadow: 0 0 5px rgba(255, 136, 0, 0.5);
    }

    .box-options,
    .box-customize {
        margin-top: 2rem;
        margin-bottom: 2rem;
    }

    .content-title {
        margin-top: 1.5rem;
        margin-bottom: 1rem;
    }

    .content-options,
    .content-customize {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 0.8rem;
    }

    .card-option {
        display: flex;
        flex-direction: column;
        -webkit-box-pack: justify;
        justify-content: space-between;
        overflow: hidden;
        padding: 0px 0.5rem;
        background-color: rgb(255, 255, 255);
        box-shadow:
            rgba(35, 31, 32, 0.1) 0px 2px 4px,
            transparent 0px 0px 0px 1px inset;
        border-style: solid;
        border-width: 1px;
        border-color: rgb(248, 242, 244);
        border-radius: 8px;
        transition:
            box-shadow 0.1s ease 0s,
            border-color 0.1s ease 0s;
        cursor: pointer;
    }

    .card-option:has(.card-price input:checked) {
        border: solid 1px #ff8600;
    }

    .card-title {
        display: flex;
        margin: 0.5rem 0px;
    }

    .title-box {
        flex: 1 1 0%;
    }

    .title-box span {
        font-size: 0.7rem;
        line-height: 1.4;
        display: -webkit-box;
        -webkit-line-clamp: 1;
        -webkit-box-orient: vertical;
        overflow: hidden;
        text-overflow: ellipsis;
    }

    .card-price {
        display: flex;
        -webkit-box-align: center;
        align-items: center;
        -webkit-box-pack: justify;
        justify-content: space-between;
        padding: 0.875rem 0px;
        border-top: 1px solid rgb(248, 242, 244);
    }

    .card-price label {
        color: rgb(79, 74, 75);
        font-size: 0.7rem;
    }

    .modal-footer {
        position: sticky;
        bottom: 0px;
        z-index: 20;
        background-color: rgb(255, 255, 255);
        padding: 1.5rem;
        display: flex;
        -webkit-box-pack: justify;
        place-content: flex-end space-between;
        -webkit-box-align: center;
        align-items: center;
        height: 4.5rem;
        border-top: 1px solid rgb(225, 219, 221);
        box-shadow: rgba(35, 31, 32, 0.14) 0px -4px 12px;
    }

    .footer-price {
        display: flex;
        -webkit-box-align: center;
        align-items: center;
        -webkit-box-pack: center;
        justify-content: center;
    }

    .modal-footer .sc-hoLEA {
        width: 2.5rem;
        height: 2.5rem;
    }

    .eKzxWg {
        margin-left: auto;
        padding: 0.5rem 0.5rem 0.5rem 1rem;
        background-color: rgb(248, 242, 244);
        border-radius: 32px;
        display: flex;
    }

    .cldHe {
        display: flex;
        flex-direction: column;
        align-items: flex-end;
        margin-right: 1rem;
    }

    .md-title {
        border-radius: 8px;
        background-color: rgb(248, 242, 244);
        padding: 0.375rem 0.5rem 0.5rem;
    }

    .group-cl {
        width: 100%;
        padding: 5px 0;
        border-bottom: 1px solid rgba(0, 0, 0, 0.2);
        display: flex;
        align-items: center;
        justify-content: flex-start;
        color: var(--color-txt-title);
        margin: 15px 0 25px;
    }

    .icon-info {
        font-size: 1.5em;
        margin-right: 5px;
        display: flex;
        align-items: center;
    }

    .icon-close {
        font-size: 1.4em;
        cursor: pointer;
    }

    .form-data-client,
    .form-data-address {
        width: 100%;
        display: flex;
        justify-content: space-between;
    }

    .form-data-address {
        flex-flow: row wrap;
    }

    .lb-input,
    .lb-input-ad {
        color: #d3cfcf;
        font-weight: bold;
        position: relative;
        width: 48%;
    }

    .lb-input-ad {
        margin: 0 !important;
    }

    .lb-input-ad input,
    .lb-input input {
        width: 100%;
        padding: 8px 0 5px 5px;
        border: none;
        border-bottom: 1px solid var(--color-txt-title);
        margin-bottom: 10px;
    }

    .set-btn {
        width: 100%;
        position: relative;
        display: flex;
        flex-direction: column;
        margin-top: 250px;
        align-items: center;
    }

    .btn-concluir-cadastro,
    .lbl-fechar-cadastro-carrinho {
        width: 60%;
        text-align: center;
        font-size: 0.9em;
    }

    .btn-concluir-cadastro {
        padding: 10px;
        border: none;
        border-radius: 10px;
        color: #fff;
        font-weight: 700;
        background-color: var(--color-txt-title);
    }

    .lbl-fechar-cadastro-carrinho {
        color: #888;
        border: none;
    }

    .nav-tabs {
        width: 100%;
        position: relative;
        margin-top: 25px;
    }

    .nav-tabs ul {
        list-style: none;
        display: flex;
        border-bottom: 2px solid #d3cfcf;
    }

    .nav-tabs label {
        padding-bottom: 5px;
        margin: 0 20px 0px 0;
        display: block;
        color: #d3cfcf;
        cursor: pointer;
        font-weight: bold;
    }

    .rd_tabs:checked ~ label {
        color: var(--color-txt-title);
        border-bottom: 2px solid;
        margin-bottom: -2px;
    }

    .rd_tabs {
        display: none;
    }

    .content {
        display: none;
        position: absolute;
        width: 100%;
        height: 200px;
        left: 0;
        padding-top: 20px;
    }

    .fees {
        display: flex;
        align-items: center;
        font-size: 0.75em;
        margin-bottom: 18px;
    }

    .fees p {
        width: 50%;
        color: var(--color-txt-body);
    }

    .fees p span {
        color: var(--color-bkg-buttom);
    }

    .rd_tabs:checked ~ .content {
        display: block;
    }

    .address-select {
        display: flex;
    }

    .address-select span {
        color: var(--color-txt-title);
        font-size: 1.8em;
        font-weight: bolder;
        background-image: url("./../images/map.jpg");
        width: 50px;
        height: 50px;
        border-radius: 10px;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .address-select hgroup {
        width: calc(100% - 50px);
        padding: 2px 12px;
    }

    .address-select h4 {
        margin: 5px 0;
    }

    .address-select h5 {
        font-size: 0.9em;
        color: var(--color-txt-body);
        font-weight: normal;
    }

    /**
 ** STYLE PAYMENT
 */
    .payment {
        position: fixed;
        top: 0;
        right: -100%;
        width: 100%;
        height: calc(100% - 60px);
        background-color: rgba(0, 0, 0, 0.5);
        display: flex;
        justify-content: center;
        align-items: center;
        z-index: 4;
        overflow-y: auto;
        overflow-x: hidden;
        border-bottom: 3px solid var(--color-bkg-buttom);
        transition: all 0.3s ease-in-out;
    }

    .type-pay {
        width: 100%;
        height: 100%;
        background-color: #fff;
        padding: 20px 25px;
        overflow: auto;
        max-width: 490px;
        font-size: 11pt;
        display: flex;
        flex-flow: column;
        position: relative;
    }

    .group-hf {
        width: 100%;
        padding: 5px 0;
        position: relative;
        border-bottom: 1px solid rgba(0, 0, 0, 0.2);
        margin-top: 30px;
        display: flex;
        align-items: center;
        color: var(--color-txt-title);
    }

    .group-hf h3 {
        font-weight: bold;
        text-align: left;
    }

    .icon-wllet {
        font-size: 1.6em;
        margin-right: 10px;
    }

    .finish-order-header,
    .finish-order-coupon {
        width: 100%;
        margin-top: 60px;
        border-radius: 5px;
        padding: 12px;
        box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.2);
    }

    .finish-order-header div {
        width: 100%;
        display: flex;
    }

    .finish-order-header div p {
        font-weight: 700;
        padding: 3px 0;
        margin: 5px 0px;
        width: 50%;
    }

    .finish-order-coupon {
        margin-top: 20px;
    }

    .finish-order-coupon form {
        margin: 0 5px 3px;
    }

    .coupon-input label {
        padding-bottom: 5px;
        font-weight: 600;
        width: 100%;
    }

    .coupon-input,
    .coupon-label {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        justify-content: space-between;
        display: flex;
    }

    .coupon-label {
        display: none;
        margin-top: 5px;
    }

    .coupon-input input,
    .coupon-label span {
        width: 78%;
        padding: 8px;
        border-radius: 5px;
        border: 1px solid rgba(0, 0, 0, 0.2);
    }

    .coupon-label span {
        text-align: center;
        font-weight: 700;
        color: var(--success);
    }

    .coupon-input button,
    .coupon-label a {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 20%;
        padding: 8px;
        border: none;
        border-radius: 5px;
        color: #fff;
        font-weight: 700;
        background-color: var(--color-txt-title);
    }

    .info-value {
        color: var(--color-txt-title);
        font-weight: 500;
        margin-left: 2px;
        font-size: 0.9em;
        text-align: right;
    }

    .pay-select {
        display: flex;
        padding: 10px 0;
        flex-flow: row wrap;
        justify-content: space-between;
        align-items: center;
        color: #888;
        font-weight: 700;
    }

    .pay-select label {
        width: 48%;
        text-align: left;
        display: flex;
        justify-content: flex-start;
        align-items: center;
        padding: 15px 0;
    }

    .l-pay {
        padding-left: 10px;
        margin-left: 10px;
        position: relative;
        transition: all 0.3s ease-in-out;
    }

    .l-pay::before {
        content: "";
        width: 14px;
        height: 14px;
        background: #d3cfcf;
        position: absolute;
        top: 1px;
        left: -11px;
        border-radius: 3px;
        transition: all 0.3s ease-in-out;
    }

    .rd-pay:checked ~ .l-pay {
        color: var(--color-txt-title);
    }

    .rd-pay:checked ~ .l-pay::before {
        background: var(--color-txt-title);
    }

    .rd-pay:checked ~ .l-pay::after {
        content: "";
        width: 8px;
        height: 8px;
        background: #d3cfcf;
        position: absolute;
        top: 4px;
        left: -8px;
        border-radius: 2px;
        transition: all 0.3s ease-in-out;
    }

    .pay-select input {
        display: none;
    }

    .radio-formas {
        margin-right: 10px;
        display: none;
    }

    .btn-finish-pay {
        display: flex;
        flex-direction: column;
        width: 80%;
        margin: auto;
        min-width: 100px;
        margin-top: 40px;
    }

    .btn-finish-pay label {
        width: 100%;
        text-align: center;
        padding: 15px;
        margin: 5px 0;
        border-radius: 5px;
    }

    .confirm-finish {
        display: flex;
        padding: 10px;
        border: none;
        border-radius: 10px;
        color: #fff;
        font-weight: 700;
        justify-content: center;
        background-color: var(--color-txt-title);
    }

    .cancel-finish {
        color: #888;
    }

    #checkbox-mensagem-finalizar {
        display: none;
    }

    #checkbox-mensagem-finalizar:checked ~ .formas {
        display: none;
    }

    #checkbox-mensagem-finalizar:checked ~ .message-finish {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
    }

    .finish-background-msg {
        width: 100%;
        height: calc(100vh - 60px);
        position: fixed;
        background: #000000a6;
        z-index: 5;
        display: none;
        align-items: center;
        justify-content: center;
        transition: all 0.5s ease;
    }

    .message-finish {
        width: 90%;
        background-color: #fff;
        padding: 30px 20px;
        border-radius: 10px;
        max-width: 700px;
        overflow: auto;
        max-height: 95%;
        font-size: 11pt;
        display: flex;
        flex-flow: column;
    }

    .message-finish img {
        width: 150px;
        margin: auto;
        padding-bottom: 15px;
    }

    .message-finish > p {
        width: 100%;
        text-align: center;
        font-weight: 600;
        line-height: 1.4em;
        padding: 0 20px;
    }

    .protocolo {
        text-align: center;
        margin: 10px 0;
        line-height: 1em;
    }

    #btn-send {
        margin-top: 14px;
    }

    .protocolo span {
        font-weight: 700;
    }

    .texto-atencao {
        font-weight: 700;
        text-align: center;
    }

    .message-finish button,
    .message-finish a {
        padding: 10px;
        width: 90%;
        background-color: var(--color-bkg-buttom);
        color: #fff;
        border-radius: 10px;
        margin: auto;
        text-align: center;
        border: none;
        text-decoration: none;
        cursor: pointer;
    }

    .message-finish a {
        padding-top: 15px;
        background: none;
        color: var(--color-bkg-buttom);
        font-weight: bold;
        text-decoration: underline;
        width: 100%;
    }

    #checkbox-cadastro-cliente {
        display: none;
    }

    #checkbox-cadastro-footer {
        display: none;
    }

    #checkbox-cadastro-footer:checked ~ .carrinho-footer {
        display: none;
    }

    #checkbox-cadastro-footer:checked ~ .modal-box {
        bottom: 50px;
    }
}

@media only screen and (min-width: 375px) {
    h1 {
        font-size: 2.2em;
    }

    h2 {
        font-size: 1.8em;
    }

    h3 {
        font-size: 1.02em;
    }

    h5,
    input {
        font-size: 0.95em;
    }

    p,
    a,
    h4,
    span,
    label,
    button {
        font-size: 1em;
    }

    .cabecalho {
        height: 80px;
    }

    .search input,
    .search button {
        height: 46px;
    }

    .section-menu {
        top: 80px;
    }

    .btn-hide-bag,
    .btn-hide-finish {
        padding: 8px 30px 0px 30px;
        height: 55px;
    }

    .bag-info {
        padding-top: 85px;
    }

    .data-bag {
        padding: 20px;
        width: 85%;
    }

    .product-bag {
        padding: 0 28px;
        margin-top: 25px;
    }

    .one-product {
        margin: 15px auto;
    }

    .img-produto-bag {
        width: 65px;
        height: 65px;
    }

    .bag-desc-group {
        margin-left: 15px;
    }

    .btn-up-product span:nth-child(1),
    .btn-up-product span:nth-child(2),
    .btn-up-product span:nth-child(3) {
        font-size: 1em;
    }

    .type-pay {
        padding: 20px 30px;
    }
}

@media only screen and (min-width: 412px) {
    .address-select hgroup > h4 {
        margin-top: 6px;
    }

    .group-cl {
        margin: 20px 0 25px;
    }

    .modal-content h4 {
        margin: 20px 0 0px 0;
    }

    .set-btn {
        margin-top: 280px;
    }

    .btn-up-product {
        width: calc(100% - 160px);
        padding: 9px 10px;
    }

    .product-bag {
        padding: 0 30px;
    }

    .action-product {
        width: 110px;
        padding: 8px 0px;
    }

    .action-product span {
        font-size: 0.9em;
    }
}

@media only screen and (min-width: 600px) {
    footer {
        display: none;
    }

    .title-box span {
        font-size: 0.85rem;
    }

    .card-price label {
        font-size: 0.8rem;
    }

    .card-price input {
        width: 1rem;
        height: 1rem;
        display: block;
    }

    .cabecalho .btn-menu-m {
        display: block;
        background: transparent;
        margin-right: 8px;
        border: none;
    }

    .bag-finish {
        bottom: -50px;
    }

    .bag-header {
        display: flex;
        position: relative;
        font-size: 2.5em;
        background: transparent;
        color: var(--color-txt-title);
        margin-top: 4px;
        border: none;
    }

    .cart {
        height: 100vh;
    }

    .desc-product-bag P {
        font-size: 0.85em;
    }

    .action-product {
        width: 150px;
    }

    .btn-up-product {
        width: calc(100% - 200px);
    }

    .section-menu ul {
        padding: 16px;
        justify-content: space-evenly;
    }

    .type-pay {
        padding: 20px 60px;
        max-width: none;
    }

    .one-product {
        max-width: none;
    }

    .product-bag {
        padding: 0 50px;
    }

    .notification::after {
        top: 10px !important;
        left: 24px !important;
    }

    .fees p {
        width: 30%;
    }

    .search {
        width: 74%;
    }

    .search form {
        display: flex;
        justify-content: center;
    }

    .search input {
        margin: 0;
    }

    .modal-box {
        height: 100vh;
        padding: 0 50px;
    }

    .modal-content {
        max-width: 530px;
        padding: 0 20px;
    }

    .set-btn {
        margin-top: 270px;
    }

    .finish-background-msg {
        height: 100vh;
        top: 0;
        left: 0;
    }

    .message-finish {
        width: auto;
        max-width: 600px;
        margin: 0 auto;
    }

    .content-options,
    .content-customize {
        grid-template-columns: repeat(4, 1fr);
    }
}

@media only screen and (min-width: 768px) {
    .loader-g {
        margin: 130px auto;
    }

    .payment,
    .cart,
    .bag-finish {
        width: 70%;
    }

    .payment {
        height: 100vh;
    }

    #modal-product .modal-content {
        max-width: 600px;
    }
}

@media only screen and (min-width: 1024px) {
    .search {
        width: 85%;
    }

    .modal-content {
        margin: 5vh auto;
        /* height: 90vh; */
    }

    .payment,
    .cart,
    .bag-finish {
        width: 50%;
    }
}

@media only screen and (min-width: 1280px) {
    .cabecalho .btn-menu-m {
        margin-right: 20px;
    }

    .payment,
    .cart,
    .bag-finish {
        width: 40%;
    }
}
